---
title: "Get the Cello referral token"
url: https://docs.gleap.ai/en/reference/rest-api/get-me-cello-token
method: GET
path: "/users/me/cello-token"
api: "API Reference"
tag: "User"
operationId: "GetMeCelloToken"
updatedAt: "2026-11-16T09:00:10.682Z"
language: en
---

# Get the Cello referral token

`GET https://api.gleap.io/v3/users/me/cello-token`

The token the dashboard boots Cello's referral component with (signed with Cello's product secret, HS512) and Cello's product id. `success: false` while Cello is not configured: the dashboard then shows no referral program.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Example request

```bash
curl --request GET \
  --url https://api.gleap.io/v3/users/me/cello-token \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok

- `success` (boolean, required)
- `token` (string)
- `productId` (string)

```json
{
  "success": true,
  "token": "string",
  "productId": "string"
}
```
